Help Article
Returns a list of help articles
GET/api/help/help_article
Query parameters
namestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
tokenstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
publicTitlestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
newsTypestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE |
createdstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
slugIdentifierstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
publicKeywordsstring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
publishDatestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
unpublishDatestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
articleSpacestring | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
viewOrderinteger | Requires access right: PUBLIC, LOGGED_IN, SCOPE, C1 |
idinteger | |
deletedboolean | This property is used to mark an entity as deleted / archived |
personstring | , C1 |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of help articlesarray<MediaNewsArticle2>
Show fields (26)
idintegerPrimary key of the news article. Internal ID.
news_typestringType of the news article.
tokenstringPublic token of the article. Used instead of the ID.
public_titlestringTitle shown to the public.
public_copyrightstringCopyright text shown with the article.
public_language_codestringLanguage of the article, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_thumbnailstringURL of the thumbnail image.
public_keywordsstringKeywords of the article.
public_categorystringCategory of the article shown to the public.
publish_datestring (date-time)Time the article is published.
unpublish_datestring (date-time)Time the article is unpublished.
article_spaceMediaArticleSpace6Article space the article belongs to.
Show fields (10)
idintegerPrimary key of the article space. Internal ID.
childrenarray<MediaArticleSpace6>Child article spaces.
parentMediaArticleSpace6Parent article space.
public_keywordsstringKeywords of the article space.
view_orderintegerSort order of the article space in lists.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
view_orderintegerSort order of the article in lists.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
highlightbooleanThis property is used to mark an entity as highlighted
image_urlstringURL of the image of the entity.
unified_cat_idsobjectIDs of the unified categories.
unified_cat_namesobjectNames of the unified categories.
unified_tag_idsobjectIDs of the unified tags.
unified_tag_namesobjectNames of the unified tags.
slug_identifierstringSlug used in URLs of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/help/help_article \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/help/help_article', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/help/help_article"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/help/help_article', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/help/help_article"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/help/help_article")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/help/help_article"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/help/help_article'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);[
{
"id": 42,
"public_title": "Beispiel",
"image_url": "https://vynst.de",
"news_type": "string",
"token": "string",
"public_copyright": "string",
"public_language_code": "string",
"public_subtitle": "string",
"public_author": "string",
"public_summary": "string"
}
]Returns a single help article with the given id or token
GET/api/help/help_article/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Returns a single help article with the given id or tokenMediaNewsArticle9
Show fields (30)
content_htmlstringidintegerPrimary key of the news article. Internal ID.
news_typestringType of the news article.
tokenstringPublic token of the article. Used instead of the ID.
entriesarray<MediaNewsArticleContent3>Content blocks of the article.
Show fields (6)
content_htmlstringidintegerPrimary key of the news article content. Internal ID.
contentstringContent of the block.
content_typestringType of the block, for example text, image or video.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringInternal name of the article.
public_titlestringTitle shown to the public.
public_copyrightstringCopyright text shown with the article.
public_language_codestringLanguage of the article, for example de.
public_subtitlestringSubtitle shown to the public.
public_authorstringAuthor shown to the public.
public_summarystringShort summary shown to the public.
public_thumbnailstringURL of the thumbnail image.
public_keywordsstringKeywords of the article.
public_categorystringCategory of the article shown to the public.
publish_datestring (date-time)Time the article is published.
unpublish_datestring (date-time)Time the article is unpublished.
article_spaceMediaArticleSpace12Article space the article belongs to.
Show fields (12)
idintegerPrimary key of the article space. Internal ID.
childrenarray<MediaArticleSpace12>Child article spaces.
parentMediaArticleSpace12Parent article space.
public_keywordsstringKeywords of the article space.
view_orderintegerSort order of the article space in lists.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage7>Access rights list that controls the visibility.
view_orderintegerSort order of the article in lists.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage7>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser50User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
deletedbooleanThis property is used to mark an entity as deleted / archived
highlightbooleanThis property is used to mark an entity as highlighted
image_urlstringURL of the image of the entity.
ucatsarray<UnifiedCategory26>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory26>Child categories.
parentUnifiedCategory26Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
unified_cat_idsobjectIDs of the unified categories.
unified_cat_namesobjectNames of the unified categories.
slug_identifierstringSlug used in URLs of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/help/help_article/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/help/help_article/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/help/help_article/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/help/help_article/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/help/help_article/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/help/help_article/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/help/help_article/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/help/help_article/42'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"public_title": "Beispiel",
"image_url": "https://vynst.de",
"content_html": "string",
"news_type": "string",
"token": "string",
"entries": [
{
"id": 42,
"content_html": "string",
"content": "string",
"content_type": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
],
"public_copyright": "string",
"public_language_code": "string"
}